<?php
/*
+---------------------------------------------------------------+
|	e107 website system
|	/myfaq_main.php
|
|	 Torsten Stelling 2004
|	http://www.dev0.de
|	murphy@dev0.de
|
|	Released under the terms and conditions of the
|	GNU General Public License (http://gnu.org).
+---------------------------------------------------------------+
*/

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** GLOBAL HEADER                                                         **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

// Use other language when English is not default.
if (e_LANGUAGE!="English") {
	$lan_file = e_PLUGIN.FOLDER.LANGUAGE_FOLDER.e_LANGUAGE.".php";
	if(file_exists($lan_file)) { require_once($lan_file); }
}

// Load the english language file when exists.
$lan_file = e_PLUGIN.FOLDER.LANGUAGE_FOLDER."English.php";
if (file_exists($lan_file)) { require_once($lan_file); }

define(e_PAGETITLE,PLUGIN_TITLE);
require_once(HEADERF);
require_once(e_HANDLER."user_func.php");

// Load the style when it exists in the theme folder
$style_file = THEME.SELF."_style.php";
if (file_exists($style_file)) {
	require_once($style_file);
} else {	// otherwise load it from the plugin folder
	require_once(e_PLUGIN.FOLDER."/".SELF."_style.php");
}

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** COMMAND LINE                                                          **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

$from = 0;	// start displaying list from
$max = 20;	// maximum of displaying in a list
if(e_QUERY){
	// seperate the commandline
	$parameter = explode(".", e_QUERY);
	$from = $parameter[0];
	$command = $parameter[1];
	$id = $parameter[2];

	// remove ability for exploits, check for numbers and commands
	if (preg_match("/[^0-9]+/", $from)) { $from=0; }
	if (preg_match("/[^a-zA-Z]+/", $command)) { $command="unknowncommand"; }
	if (preg_match("/[^0-9]+/", $id)) { $id=0; }
}

if ($command=="") { $command='list'; } // default command is the faq list
if ($id=="")      { $id=0; }	// when no id is existent use 0

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** DO NOT ALLOW NON EXISTENT FILES AS COMMAND                            **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

if (!file_exists(e_PLUGIN.FOLDER.CMD_FOLDER.$command.".php")) {
	$command = "unknowncommand";	// check for unknown commands
}

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** ALL COMMANDS                                                          **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

$sr_file = $command."_sr.php";
if (file_exists(THEME.FOLDER."/".$sr_file)) {	// check if the search&replace file exists
	require_once(THEME.FOLDER."/".$sr_file);	// in the theme folder then use it
} elseif (file_exists(e_PLUGIN.FOLDER.CMD_FOLDER.$sr_file)) {	// otherwise use the from
	require_once(e_PLUGIN.FOLDER.CMD_FOLDER.$sr_file);	// the command folder
}
require_once(e_PLUGIN.FOLDER.CMD_FOLDER.$command.".php");	// load command and execute

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** GLOBAL FOOTER                                                         **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

require_once(FOOTERF);

?>
